#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"

%define		pdir	HTML
%define		pnam	Parser
%include	/usr/lib/rpm/macros.perl
Summary:	HTML::Parser - parsing and extracting information from HTML documents
Summary(cs.UTF-8):	HTML::Parser - modul pro parsování HTML v Perlu
Summary(pl.UTF-8):	HTML::Parser - analiza i wyciąganie informacji z dokumentów HTML
Summary(ru.UTF-8):	HTML::Parser - набор модулей для "разбора" HTML-документов
Summary(uk.UTF-8):	HTML::Parser - набір модулів для розбору HTML-документів
Summary(zh_CN.UTF-8):	Perl 的 HTML 解析器模块。
Name:		perl-HTML-Parser
Version:	3.71
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/HTML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9128a45893097dfa3bf03301b19c5efe
URL:		http://search.cpan.org/dist/HTML-Parser/
BuildRequires:	perl-HTML-Tagset >= 3
BuildRequires:	perl-devel >= 1:5.8.0
%{?with_tests:BuildRequires:	perl-libwww}
BuildRequires:	rpm-perlprov >= 4.1-13
BuildConflicts:	perl-HTML-Stream = 1.45-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# HTTP::Headers (perl-libwww) is not always required
%define		_noautoreq	perl(HTTP::Headers)

%description
Perl module HTML::Parser that allows to parse and extract information
from HTML documents.

%description -l cs.UTF-8
Balíček perl-HTML-Parser obsahuje modul pro Perl, který slouží k
parsování a extrahování informací z HTML dokumentu.

%description -l da.UTF-8
HTML::Parser modul til Perl for at tolka og extrahere information fra
HTML-dokument.

%description -l de.UTF-8
HTML::Parser modul für Perl zum Parsen und Extrahieren von
Informationen aus HTML-Dokumenten.

%description -l es.UTF-8
Módulo HTML::Parser para perl para analizar y extraer información a
partir de documentos HTML.

%description -l fr.UTF-8
Module HTML::Parser pour perl permettant d'analyser et d'extraire des
informations de documents HTML.

%description -l it.UTF-8
Il modulo HTML::Parser per perl, che consente di analizzare documenti
HTML e di estrarne informazioni.

%description -l ja.UTF-8
HTML ドキュメントから情報を解析、抽出するための Perl 用の HTML::Parser 。

%description -l ko.UTF-8
HTML::Parser 모줄은 펄이 HTML 문서들로 부터 정보를 파싱하고 가져오게끔 합니다.

%description -l pl.UTF-8
Moduł Perla HTML::Parser pozwalający na parsowanie i wyciąganie
informacji z dokumentu HTML.

%description -l pt_BR.UTF-8
Módulo Perl HTML::Parser - Uma coleção de módulos para examinar e
extrair informações de documentos HTML.

%description -l ru.UTF-8
HTML::Parser - набор модулей для "разбора" HTML-документов.

%description -l uk.UTF-8
HTML::Parser - набір модулів для розбору HTML-документів.

%description -l pt.UTF-8
O módulo HTML::Parser para o Perl analisar e extrair informações de
documentos HTML.

%description -l sv.UTF-8
HTML::Parser modul till perl för att tolka och extrahera information
från HTML-dokument.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	DEFINE="-DMARKED_SECTION -DUNICODE_ENTITIES" \
	< /dev/null
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorarch}/HTML/Entities.pm
%{perl_vendorarch}/HTML/Filter.pm
%{perl_vendorarch}/HTML/HeadParser.pm
%{perl_vendorarch}/HTML/LinkExtor.pm
%{perl_vendorarch}/HTML/Parser.pm
%{perl_vendorarch}/HTML/PullParser.pm
%{perl_vendorarch}/HTML/TokeParser.pm
%dir %{perl_vendorarch}/auto/HTML/Parser
%{perl_vendorarch}/auto/HTML/Parser/Parser.bs
%attr(755,root,root) %{perl_vendorarch}/auto/HTML/Parser/Parser.so
%{_mandir}/man3/HTML::Entities.3pm*
%{_mandir}/man3/HTML::Filter.3pm*
%{_mandir}/man3/HTML::HeadParser.3pm*
%{_mandir}/man3/HTML::LinkExtor.3pm*
%{_mandir}/man3/HTML::Parser.3pm*
%{_mandir}/man3/HTML::PullParser.3pm*
%{_mandir}/man3/HTML::TokeParser.3pm*
%changelog
* Tue Jun 18 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-HTML-Parser.git;a=log;h=master

* Tue Jun 18 2013 Jakub Bogusz <qboosh@pld-linux.org> ec8e40c
- updated to 3.71

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> bfa2c80
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Thu Nov 17 2011 Jakub Bogusz <qboosh@pld-linux.org> 5421d5a
- updated to 3.69

* Sun Feb 13 2011 Elan Ruusamäe <glen@pld-linux.org> fe05221
- %{perl_vendorarch}/auto/HTML as well

* Sun Feb 13 2011 Elan Ruusamäe <glen@pld-linux.org> a80a5c2
- %{perl_vendorarch}/HTML goes to perl-dirs

* Fri Nov 05 2010 Caleb Maclennan <caleb@alerque.com> 7fd0714
- Up to 3.68

* Wed Nov 03 2010 shadzik <shadzik@pld-linux.org> bf41335
- rel 2

* Wed May 19 2010 sparky <sparky@pld-linux.org> 7c642b8
- use source0 uri that works on cpan mirrors

* Wed May 19 2010 Jakub Bogusz <qboosh@pld-linux.org> a766c59
- updated to 3.65

* Thu Oct 29 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 45ac26d
- up to 3.64

* Mon Sep 14 2009 amateja <amateja@pld-linux.org> 98183dc
- updated to 3.62

* Tue Dec 30 2008 Karol Krenski <charles@pld-linux.org> c782976
- if with_tests - BR: perl-libwww

* Mon Dec 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 562e546
- up to 3.59

* Sun Mar 02 2008 radek <radek@pld-linux.org> 5eaeb75
- release 3

* Fri Feb 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e7f6883
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 8443eac
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Sep 11 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 11cef93
- up to 3.56

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7c464e4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9d1b402
- converted to UTF-8

* Mon Oct 09 2006 Jakub Bogusz <qboosh@pld-linux.org> d1b662c
- added URL

